/* written by John Doug Reynolds, June 2001 */

#ifndef CALIB_H
#define CALIB_H

#include <scanningLib.h>
#include <vector>

const float hc = 12.398; // [keV Angstrom] energy times wavelength

extern vector<double> vignetting;

void calibInit( const scanningLib::GridSpan &betaGrid );
void resetSourcePosition( float theta, float phi );
void calibFree();

float calEnergy( float beta, int order, float alpha );
float calAlpha0();

void ccd_qe( float qe[10], float energy );
float empiricalCrossLA( float energy, float dpsi, float xdsp0, float xdsp1 );
void prfBroad(vector<float>&, float eLow, float eHigh, float alpha, int order);
void prfNarrow(vector<float>&,float eLow, float eHigh, float alpha, int order);

#endif /* CALIB_H */
